<template>
  <header>
    <Nav></Nav>
  </header>

  <section>
    <div>
      <HeadingEen :heading="h1"></HeadingEen>
      <Paragraph :tekst="'Trajectplanner is in de afgelopen vijftien jaar uitgegroeid tot \n' +
       'een brede, modulaire oplossing voor het' +
        ' administreren, volgen en begeleiden van studenten.\n' +
        ' Een compleet en gebruiksvriendelijk' +
         ' leerlingadministratie- en leerlingvolgsysteem, modulair\n' +
         ' of integraal inzetbaar.' +
          ' Met het uitgebreide digitale leerlingdossiers als centraal middelpunt.'">
      </Paragraph>
      <PrimaryBtn :value="value" @click="navigate"></PrimaryBtn>
    </div>
    <figure>
      <img src="../assets/info.png" alt="foto van een student">
    </figure>
  </section>

  <footer>
    <Footer></Footer>
  </footer>

</template>
<script>
import PrimaryBtn from '../components/UI/atoms/PrimaryBtn.vue';
import Nav from '../components/UI/organisms/Nav.vue';
import HeadingEen from '../components/UI/atoms/HeadingEen.vue';
import Paragraph from '../components/UI/atoms/Paragraph.vue';
import Footer from '../components/UI/organisms/Footer.vue';

export default {
  name: 'Home',
  components: {
    Footer,
    Paragraph,
    HeadingEen,
    PrimaryBtn,
    Nav,
  },
  data() {
    return {
      value: 'Plan uw traject',
      h1: 'Trajectplanner: studentvolgsysteem\n'
        + ' voor hoger onderwijs',
    };
  },
  methods: {
    navigate() {
      this.$router.push({ name: 'Trajectplanner' });
    },
  },
};
</script>

<style scoped lang="scss">
@import "../assets/reset.css";
section{
  display: flex;
  justify-content: space-between;
  width: 80%;
  margin: 0 auto;
  padding-top: 6%;

  img{
    width: 100%;
  }

  div{
    width: 40%;
    align-self: center;
  }

  figure{
    width: 50%;
  }
}
@media (max-width: 952px){
  section{
    flex-direction: column-reverse;
    padding: 25% 0 10% 0;

    div{
      width: 100%;
    }

    figure{
      width: 100%;
    }
  }
}
</style>
